net.sourceforge.pmd.lang.dfa.report

## Class ReportHTMLPrintVisitor

- java.lang.Object
- - net.sourceforge.pmd.lang.dfa.report.ReportVisitor
  - - net.sourceforge.pmd.lang.dfa.report.ReportHTMLPrintVisitor

-     public class ReportHTMLPrintVisitor
      extends ReportVisitor

  Author:
    raik

    * Uses the generated result tree instead of the result list. The visitor * traverses the tree and creates several html files. The "package view" file * (index.html) displays an overview of packages, classes and the number of * rule violations they contain. All the other html files represent a class * and show detailed information about the violations.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReportHTMLPrintVisitor(String baseDir)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `visit(AbstractReportNode node)` The visit method (Visitor Pattern).

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ReportHTMLPrintVisitor

          public ReportHTMLPrintVisitor(String baseDir)

  - ### Method Detail

    - #### visit

          public void visit(AbstractReportNode node)

      The visit method (Visitor Pattern). There are 3 types of ReportNodes: RuleViolation - contains a RuleViolation, Class - represents a class and contains the name of the class, Package - represents a package and contains the name(s) of the package.
      Overrides:
        `visit` in class `ReportVisitor`

Copyright © 2002-2013 InfoEther. All Rights Reserved.